aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetObject

Synopsis

- data GetObject = GetObject {
  - goBucket :: Bucket
  - goObjectName :: Object
  - goVersionId :: Maybe Text
  - goResponseContentType :: Maybe Text
  - goResponseContentLanguage :: Maybe Text
  - goResponseExpires :: Maybe Text
  - goResponseCacheControl :: Maybe Text
  - goResponseContentDisposition :: Maybe Text
  - goResponseContentEncoding :: Maybe Text
  - goResponseContentRange :: Maybe (Int, Int)
  - goIfMatch :: Maybe Text
  - goIfNoneMatch :: Maybe Text
  }
- getObject :: Bucket -> Text -> GetObject
- data GetObjectResponse = GetObjectResponse {
  - gorMetadata :: ObjectMetadata
  - gorResponse :: Response (ResumableSource (ResourceT IO) ByteString)
  }
- data GetObjectMemoryResponse = GetObjectMemoryResponse ObjectMetadata (Response ByteString)

# Documentation

data GetObject #

Constructors

GetObject |
Fields goBucket :: Bucket goObjectName :: Object goVersionId :: Maybe Text goResponseContentType :: Maybe Text goResponseContentLanguage :: Maybe Text goResponseExpires :: Maybe Text goResponseCacheControl :: Maybe Text goResponseContentDisposition :: Maybe Text goResponseContentEncoding :: Maybe Text goResponseContentRange :: Maybe (Int, Int) goIfMatch :: Maybe Text Return the object only if its entity tag (ETag, which is an md5sum of the content) is the same as the one specified; otherwise, catch a `StatusCodeException` with a status of 412 precondition failed. goIfNoneMatch :: Maybe Text Return the object only if its entity tag (ETag, which is an md5sum of the content) is different from the one specified; otherwise, catch a `StatusCodeException` with a status of 304 not modified.

Instances

Show GetObject # |
Methods showsPrec :: Int -> GetObject -> ShowS # show :: GetObject -> String # showList :: [GetObject] -> ShowS #
SignQuery GetObject # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration GetObject :: * -> * # Methods signQuery :: GetObject -> ServiceConfiguration GetObject queryType -> SignatureData -> SignedQuery #
Transaction GetObject GetObjectResponse # |
ResponseConsumer GetObject GetObjectResponse # |
Associated Types type ResponseMetadata GetObjectResponse :: * # Methods responseConsumer :: Request -> GetObject -> IORef (ResponseMetadata GetObjectResponse) -> HTTPResponseConsumer GetObjectResponse #
type ServiceConfiguration GetObject # |
type ServiceConfiguration GetObject = S3Configuration

getObject :: Bucket -> Text -> GetObject #

data GetObjectResponse #

Constructors

GetObjectResponse |
Fields gorMetadata :: ObjectMetadata gorResponse :: Response (ResumableSource (ResourceT IO) ByteString)

Instances

AsMemoryResponse GetObjectResponse # |
Associated Types type MemoryResponse GetObjectResponse :: * # Methods loadToMemory :: GetObjectResponse -> ResourceT IO (MemoryResponse GetObjectResponse) #
Transaction GetObject GetObjectResponse # |
ResponseConsumer GetObject GetObjectResponse # |
Associated Types type ResponseMetadata GetObjectResponse :: * # Methods responseConsumer :: Request -> GetObject -> IORef (ResponseMetadata GetObjectResponse) -> HTTPResponseConsumer GetObjectResponse #
type MemoryResponse GetObjectResponse # |
type MemoryResponse GetObjectResponse = GetObjectMemoryResponse
type ResponseMetadata GetObjectResponse # |
type ResponseMetadata GetObjectResponse = S3Metadata

data GetObjectMemoryResponse #

Constructors

GetObjectMemoryResponse ObjectMetadata (Response ByteString) |

Instances

Show GetObjectMemoryResponse # |
Methods showsPrec :: Int -> GetObjectMemoryResponse -> ShowS # show :: GetObjectMemoryResponse -> String # showList :: [GetObjectMemoryResponse] -> ShowS #